## FmSortMode FmSortMode |

## Functions

#define | FM_SORT_DEFAULT
#define | FM_SORT_IS_ASCENDING()

## Types and Values

enum | FmSortMode

## Description

## Functions

### FM_SORT_DEFAULT

    #define FM_SORT_DEFAULT ((FmSortMode)-1)

value which means do not change sorting mode flags.

### FM_SORT_IS_ASCENDING()

    #define FM_SORT_IS_ASCENDING(mode) ((mode & FM_SORT_ORDER_MASK) == FM_SORT_ASCENDING)

## Types and Values

### enum FmSortMode

Sort mode flags supported by FmFolderModel

#### Members

FM_SORT_ASCENDING | sort ascending, mutually exclusive with FM_SORT_DESCENDING |
FM_SORT_DESCENDING | sort descending, mutually exclusive with FM_SORT_ASCENDING |
FM_SORT_CASE_SENSITIVE | case sensitive file names sort |
FM_SORT_NO_FOLDER_FIRST | (since 1.2.0) don't sort folders before files |
FM_SORT_ORDER_MASK | . | [FM_SORT_ASCENDING|FM_SORT_DESCENDING]

Since: 1.0.2